TemplatevtkImageProgressIterator< DType > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageProgressIterator< DType > Class Template Reference

`#include <vtkImageProgressIterator.h>`

Inheritance diagram for vtkImageProgressIterator< DType >:

[legend]
Collaboration diagram for vtkImageProgressIterator< DType >:

[legend]
List of all members.

## Detailed Description

### template<class DType>
class vtkImageProgressIterator< DType >

a simple image iterator with progress

Date:
  2002/03/12 15:27:45

Revision:
  1.7

This is a simple image iterator that can be used to iterate over an image. Typically used to iterate over the output image

See also:
  vtkImage vtkImageIterator

Created by:
  - Cedilnik, Andy
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (62%)
  - Cedilnik, Andy (28%)
  - King, Brad (8%)

CVS logs (CVSweb):
  - .`txx` (`/Common/vtkImageProgressIterator.txx)`
  - .`h` (`/Common/vtkImageProgressIterator.h)`
  - .`cxx` (`/Common/vtkImageProgressIterator.cxx)`

Tests:
  vtkImageProgressIterator (Tests)

Definition at line 53 of file vtkImageProgressIterator.h.

## Public Methods
void | NextSpan ()
| vtkImageProgressIterator (vtkImageData *imgd, int *ext, vtkProcessObject *po, int id)
## Protected Attributes
vtkProcessObject * | ProcessObject
unsigned long | Count
unsigned long | Count2
unsigned long | Target
int | ID

## Constructor & Destructor Documentation

template<class DType>
vtkImageProgressIterator< DType >::vtkImageProgressIterator | ( | vtkImageData * | imgd,
|  | int * | ext,
|  | vtkProcessObject * | po,
|  | int | id
| ) |

| Create a progress iterator for the provided image data and extent to iterate over. The passes progress object will receive any UpdateProgress calls if the thread id is zero

## Member Function Documentation

template<class DType>
void vtkImageProgressIterator< DType >::NextSpan | ( |  | ) |

| Move the iterator to the next span, may call UpdateProgress on the filter (vtkProcessObject) Reimplemented from vtkImageIterator< DType >.

## Member Data Documentation

template<class DType>
vtkProcessObject* vtkImageProgressIterator< DType >::ProcessObject`[protected]`

| Definition at line 70 of file vtkImageProgressIterator.h.

template<class DType>
unsigned long vtkImageProgressIterator< DType >::Count`[protected]`

| Definition at line 71 of file vtkImageProgressIterator.h.

template<class DType>
unsigned long vtkImageProgressIterator< DType >::Count2`[protected]`

| Definition at line 72 of file vtkImageProgressIterator.h.

template<class DType>
unsigned long vtkImageProgressIterator< DType >::Target`[protected]`

| Definition at line 73 of file vtkImageProgressIterator.h.

template<class DType>
int vtkImageProgressIterator< DType >::ID`[protected]`

| Definition at line 74 of file vtkImageProgressIterator.h.

The documentation for this class was generated from the following file:

- Common/vtkImageProgressIterator.h